Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 83)
@@ -23,6 +23,80 @@
 {
     public partial class FrmPersonInCharge
     {
+
+        #region 固定ラベルコントロール配列
+        /// <summary>
+        /// 固定ラベルコントロール配列
+        /// </summary>
+        Label[] m_DispFixLabel = null;
+
+        string[] s_Title = { "担　当　者　登　録　画　面", "常　用　者　登　録　画　面" };
+        string[] s_label1 = { "担当者コード", "常用者コード" };
+        string[] s_label2 = { "担当者名", "常用者名" };
+
+        Color[] s_LabelColor = { Color.FromArgb(255, 255, 128), Color.Aquamarine };
+        #endregion
+
+        #region 固定コントロール初期処理
+        /// <summary>
+        /// 固定コントロール初期処理
+        /// </summary>
+        private void InitFixControl()
+        {
+            try
+            {
+                m_DispFixLabel = new Label[20];
+                m_DispFixLabel[0] = label1;
+                m_DispFixLabel[1] = lblPersonLabel;
+                m_DispFixLabel[2] = label3;
+                m_DispFixLabel[3] = lblMessageColor;
+                m_DispFixLabel[4] = label8;
+                m_DispFixLabel[5] = label9;
+                m_DispFixLabel[6] = label2;
+                m_DispFixLabel[7] = label7;
+                m_DispFixLabel[8] = label10;
+                m_DispFixLabel[9] = label11;
+                m_DispFixLabel[10] = label6;
+                m_DispFixLabel[11] = label5;
+                m_DispFixLabel[12] = label13;
+                m_DispFixLabel[13] = label14;
+                m_DispFixLabel[14] = label16;
+                m_DispFixLabel[15] = label17;
+                m_DispFixLabel[16] = label18;
+                m_DispFixLabel[17] = label4;
+                m_DispFixLabel[18] = label12;
+                m_DispFixLabel[19] = label15;
+
+                for (int i = 0; i < m_DispFixLabel.Length; i++)
+                {
+                    m_DispFixLabel[i].BackColor = s_LabelColor[(m_EntryMode - 1)];
+                }
+                m_DispFixLabel[0].Text = s_Title[(m_EntryMode - 1)];
+                m_DispFixLabel[1].Text = s_label1[(m_EntryMode - 1)];
+                m_DispFixLabel[2].Text = s_label2[(m_EntryMode - 1)];
+
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                || CommonMotions.LoginUserSecurity.SecRank == (int)CommonDefine.SecurityRankList[SRank].Key)
+                {
+                    tableLayoutPanel1.Height = (21 * 35) + 40 + 42;
+                    panel2.Visible = true;
+                    panel3.Visible = true;
+                }
+                else
+                {
+                    tableLayoutPanel1.Height = (20 * 35) + 40 + 42;
+                    panel2.Visible = false;
+                    panel3.Visible = false;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 画面ロック
         /// <summary>
         /// 画面ロック
@@ -29,17 +103,24 @@
         /// </summary>
         private void ControlLock(bool bctrl = true)
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
-                    wrk.Enabled = bctrl;
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Label)))
+                        wrk.Enabled = bctrl;
+                }
+                btnBackColor.Enabled = bctrl;
+                btnSalaryAdd.Enabled = bctrl;
+                btnSalaryDel.Enabled = bctrl;
+                btnRefDepAdd.Enabled = bctrl;
+                btnRefDepDel.Enabled = bctrl;
             }
-            btnBackColor.Enabled = bctrl;
-            btnSalaryAdd.Enabled = bctrl;
-            btnSalaryDel.Enabled = bctrl;
-            btnRefDepAdd.Enabled = bctrl;
-            btnRefDepDel.Enabled = bctrl;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -49,35 +130,42 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
-                CommonMotions.chgBackColor(wrk, true);
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    wrk.Text = "";
+                    CommonMotions.chgBackColor(wrk, true);
+                }
 
-            // 新規時は担当者コードを表示しない
-            if (m_PersonCode == 0)
-            {
-                lblPersonLabel.Visible = false;
-                lblPersonCode.Visible = false;
+                // 新規時は担当者コードを表示しない
+                if (m_PersonCode == 0)
+                {
+                    lblPersonLabel.Visible = false;
+                    lblPersonCode.Visible = false;
+                }
+                else
+                {
+                    lblPersonLabel.Visible = true;
+                    lblPersonCode.Visible = true;
+                }
+                // コンボボックス初期処理
+                SetSecurityManagementCombBox();
+                SetDepartmentCombBox(cmbDepartment);
+                SetDepartmentCombBox(cmbRefDepartment);
+                SetCalcLedgerCombBox();
+
+                // グリッドクリア
+                dgvSalary.Rows.Clear();
+                dgvRefDepartment.Rows.Clear();
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblPersonLabel.Visible = true;
-                lblPersonCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // コンボボックス初期処理
-            SetSecurityManagementCombBox();
-            SetDepartmentCombBox(cmbDepartment);
-            SetDepartmentCombBox(cmbRefDepartment);
-            SetCalcLedgerCombBox();
-
-            // グリッドクリア
-            dgvSalary.Rows.Clear();
-            dgvRefDepartment.Rows.Clear();
-
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -159,7 +247,9 @@
                 // 担当者マスタ取得クラス領域
                 List<PersonInChargeMaster> pic = new List<PersonInChargeMaster>();
                 // 担当者マスタ取得SQL
-                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.Regular);
+                int Delflg = 0;
+                if (rdbMode2.Checked) Delflg = 1;
+                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = {1} Order By DisplayOrder ASC", m_EntryMode, Delflg);
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear(); ;
                 // 担当者マスタ取得
@@ -576,13 +666,31 @@
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.DisplayString], s_DisplayStringLength);
 
                 //　部署コード
-                int SecVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue.ToString());
-                if (SecVal > CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                int DepVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.Department]).SelectedValue);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.Department], true);
+                if (DepVal < 1)
                 {
-                    if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0) iLength++;
-                    bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.Department]);
+                    bRet = false;
+                    CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.Department], false);
                 }
+                else
+                {
+                    if (DepVal > CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                    {
+                        if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0) iLength++;
+                        bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.Department]);
+                    }
+                }
 
+                //　機密区分 
+                int SecpVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.SecManage], true);
+                if (SecpVal < 1)
+                {
+                    bRet = false;
+                    CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.SecManage], false);
+                }
+
                 // 給与入力チェック
                 bool bSalary = true;
                 if (!dgvSalaryExists()) bSalary = false;
@@ -704,7 +812,7 @@
             IOMPersonDepartment pDepDB = new IOMPersonDepartment();
             try
             {
-                //// 一括処理なので接続を行う
+                // 一括処理なので接続を行う
                 picDB.connect(); picDB.beginTran();
                 salaryDB.connect(); salaryDB.beginTran();
                 pDepDB.connect(); pDepDB.beginTran();
@@ -889,7 +997,7 @@
                 work.SealPrintName = m_dispControl[(int)DispCtrl.SealPrintName].Text.ToString();
 
                 // 社員区分（社員）
-                work.EmployeeClassFlg = (int)CommonDefine.EmployeeClassFlg.Regular;
+                work.EmployeeClassFlg = m_EntryMode;
 
                 // 削除フラグ
                 work.DeleteFlg = 0;
@@ -1433,5 +1541,33 @@
             }
         }
         #endregion
+
+        #region 社員区分変更処理
+        /// <summary>
+        /// 社員区分変更処理
+        /// </summary>
+        private void ChangeEmployClass(int EmployFlg )
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                int PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text.ToString());
+                if (!PersonDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.EmployeeClassFlg, EmployFlg))
+                {
+                    MessageBox.Show("担当者マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 83)
@@ -56,11 +56,13 @@
         private static Color s_RowSelectColor = Color.GreenYellow;
         #endregion
 
-        #region デフォルトタイトル色
+        #region デフォルト色
         /// <summary>
-        /// デフォルトタイトル色
+        /// デフォルト色
         /// </summary>
-        private static Color[] s_DefaultColor = new Color[] { Color.LightBlue, Color.LightPink };
+        private static Color s_TitleRowColor = Color.Black;
+        private static Color[] s_DefaultBackColor = new Color[] { Color.Black, Color.LightBlue, Color.LightGreen, Color.Wheat };
+        private static Color[] s_DefaultForeColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black };
         #endregion
 
         #region カラムヘッダー行定義
@@ -84,7 +86,73 @@
         private static int s_TitleRowCnt = 5;
         #endregion
 
+        #region データ表示定義
+        /// <summary>
+        /// データ表示定義
+        /// </summary>
+        private KeyValuePair<int, string>[] s_ConfigurationArray = {
+                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                   // ----- タイトル
+                                                    //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.ActionSchdule, string.Empty),             // 203:行動予定入力
+                                                    //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.VehicleSchdule, string.Empty),            // 204:車両予約入力
+                                                    new KeyValuePair<int, string>(-1, "共　通　処　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionList, string.Empty),          //  1:工事情報一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList, string.Empty),      //  7:承認申請一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionCopyList, string.Empty),      //  8:工事案件コピー機能
+                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo, string.Empty),      //  2:工事情報入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateInput, string.Empty),             //  3:積算見積入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimatePrint, string.Empty),             //  4:積算見積書印刷
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateBudget, string.Empty),            //  5:積算予算書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.OrderJoin, string.Empty),                 // 20:工事結合
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionSplit, string.Empty),         // 21:工事分割
+                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, string.Empty),     // 11:部署別台帳一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList, string.Empty),    // 12:工事詳細台帳一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedger, string.Empty),        // 13:工事詳細台帳
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRList, string.Empty),                    // 15:工事日報－一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRConstruction, string.Empty),            // 16:工事日報入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.Proceedings, string.Empty),               // 17:打合せ議事録入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.TAndPCosts, string.Empty),                // 14:交通費及び購入品入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRWork, string.Empty),                    // 18:出勤日報
+                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBudget, string.Empty),        //  6:工事予算書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry, string.Empty),        //  9:注文書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint, string.Empty),        // 10:注文書印刷
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus, string.Empty),       // 19:注文書発給一覧
+                                                    new KeyValuePair<int, string>(-1, "各種提出書類"),                                                    // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.CostomerRegist, string.Empty),            // 34:発注者登録申請
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.SubConstrRegist, string.Empty),           // 36:協力会社登録申請
+                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                             // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.System, string.Empty),                // システム管理登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Security, string.Empty),              // セキュリティ区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute, string.Empty),         // 承認経路登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.TermMaster, string.Empty),            // 期限登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Department, string.Empty),            // 部署登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.PersonInCharge, string.Empty),        // 担当者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.AlwaysEmployment, string.Empty),      // 常雇者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Orderers, string.Empty),              // 発注者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionType, string.Empty),      // 工事種別登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Suppliers, string.Empty),             // 仕入先登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractor, string.Empty),         // 協力会社登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem, string.Empty),     // 協力会社工種登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory, string.Empty),  // 協力会社職種登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Component, string.Empty),             // 大項目登録（構成登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem, string.Empty),      // 中項目登録（工種登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionWork, string.Empty),      // 小項目登録（作業登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ComponentLink, string.Empty),         // 大・中項目関連登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.BusinessType, string.Empty),          // 法人格登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.OrderDivision, string.Empty),         // 発注者区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionExpenses, string.Empty),  // 施工経費区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Unit, string.Empty),                  // 単位登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Calender, string.Empty),              // カレンダー登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.VehicleMaster, string.Empty),         // 車両登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData, string.Empty),    // 売上グラフデータ入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.MaterialKind, string.Empty),          // 資材種類登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.MaterialItem, string.Empty),          // 資材品目登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SalesConfirm, string.Empty),          // 売上確認
+                                                                        };
         #endregion
+        #endregion
 
         #region 変数
         /// <summary>
@@ -109,6 +177,11 @@
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+
+        /// <summary>
+        /// 基本サイズ
+        /// </summary>
+        private Size m_FormSize;
         #endregion
 
         #region プロパティ
@@ -152,7 +225,8 @@
         private void FrmSecurity_Load(object sender, EventArgs e)
         {
             dgvProcess.ColumnHeadersHeight = dgvProcess.ColumnHeadersHeight * (s_HeaderRows + 1);
-            
+            m_FormSize = this.Size;
+
             // グリッドデータ表示
             DispSecurityGridData();
 
@@ -249,7 +323,7 @@
                     MessageBox.Show("選択データがありません。", "選択確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
-                
+
                 frm.secRec = m_SecMasterList[DataColCnt];
                 frm.ShowDialog();
 
@@ -438,10 +512,29 @@
             try
             {
                 // ヘッダー以外は処理なし
-                if (e.RowIndex > -1) return;
+                if (e.RowIndex < 0)
+                {
+                    //// 標準ヘッダーの描画
+                    GridCellPainting(sender, e);
+                }
+                else
+                {
+                    DataGridView dgv = dgvProcess;
+                    if (e.RowIndex >= 0 && e.ColumnIndex >= 0)
+                    {
+                        //チェックボックス列以外は処理しない
+                        if (!dgv.Columns[e.ColumnIndex].GetType().Equals(typeof(DataGridViewCheckBoxColumn))) return;
+                        // 変更不可行以外は処理しない
+                        if (!dgv.Rows[e.RowIndex].ReadOnly) return;
+                        
+                        dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Style.BackColor = s_TitleRowColor;
 
-                //// 標準ヘッダーの描画
-                GridCellPainting(sender, e);
+                        // 描画する領域
+                        e.PaintBackground(e.CellBounds, false);
+                        
+                        e.Handled = true;
+                    }
+                }
             }
             catch (System.Exception ex)
             {
@@ -458,71 +551,71 @@
         /// <param name="e"></param>
         /// <param name="columns"></param>
         /// <param name="headerText"></param>
-        private void JoinGridHeader(object sender, DataGridViewCellPaintingEventArgs e, List<DataGridViewColumn> columns, string headerText)
-        {
-            try
-            {
-                //指定した列を結合する
-                // セルの矩形を取得
-                Rectangle rect = e.CellBounds;
-                //rect.X += 1;
-                //rect.Y += 1;
-                rect.Height -= 1;
+        //private void JoinGridHeader(object sender, DataGridViewCellPaintingEventArgs e, List<DataGridViewColumn> columns, string headerText)
+        //{
+        //    try
+        //    {
+        //        //指定した列を結合する
+        //        // セルの矩形を取得
+        //        Rectangle rect = e.CellBounds;
+        //        //rect.X += 1;
+        //        //rect.Y += 1;
+        //        rect.Height -= 1;
 
-                DataGridView dgv = (DataGridView)sender;
+        //        DataGridView dgv = (DataGridView)sender;
 
-                rect.Width = 0;
+        //        rect.Width = 0;
 
-                // 結合する列の幅を取得して、足す
-                foreach (DataGridViewColumn col in columns)
-                {
-                    rect.Width += col.Width;
+        //        // 結合する列の幅を取得して、足す
+        //        foreach (DataGridViewColumn col in columns)
+        //        {
+        //            rect.Width += col.Width;
 
-                    if (e.ColumnIndex > col.Index)
-                    {
-                        // 矩形の位置を補正
-                        rect.X -= col.Width;
-                    }
-                }
+        //            if (e.ColumnIndex > col.Index)
+        //            {
+        //                // 矩形の位置を補正
+        //                rect.X -= col.Width;
+        //            }
+        //        }
 
-                // 背景、枠線、セルの値を描画
-                using (SolidBrush brush = new SolidBrush(this.dgvProcess.ColumnHeadersDefaultCellStyle.BackColor))
-                using (Brush gridBrush = new SolidBrush(this.dgvProcess.GridColor))
-                using (Pen pen = new Pen(dgv.GridColor))
-                {
-                    // Erase the cell.
-                    e.Graphics.FillRectangle(brush, e.CellBounds);
+        //        // 背景、枠線、セルの値を描画
+        //        using (SolidBrush brush = new SolidBrush(this.dgvProcess.ColumnHeadersDefaultCellStyle.BackColor))
+        //        using (Brush gridBrush = new SolidBrush(this.dgvProcess.GridColor))
+        //        using (Pen pen = new Pen(dgv.GridColor))
+        //        {
+        //            // Erase the cell.
+        //            e.Graphics.FillRectangle(brush, e.CellBounds);
 
-                    // 背景の描画
-                    e.Graphics.FillRectangle(brush, rect);
+        //            // 背景の描画
+        //            e.Graphics.FillRectangle(brush, rect);
 
-                    // 枠線の描画
-                    e.Graphics.DrawRectangle(pen, rect);
+        //            // 枠線の描画
+        //            e.Graphics.DrawRectangle(pen, rect);
 
-                    //// Draw the grid lines (only the right and bottom lines;
-                    //// DataGridView takes care of the others).
-                    //e.Graphics.DrawLine(pen, e.CellBounds.Left,
-                    //    e.CellBounds.Bottom - 1, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Bottom - 1);
-                    //e.Graphics.DrawLine(pen, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Top, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Bottom);
+        //            //// Draw the grid lines (only the right and bottom lines;
+        //            //// DataGridView takes care of the others).
+        //            //e.Graphics.DrawLine(pen, e.CellBounds.Left,
+        //            //    e.CellBounds.Bottom - 1, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Bottom - 1);
+        //            //e.Graphics.DrawLine(pen, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Top, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Bottom);
 
-                }
+        //        }
 
-                // セルに表示するテキストを描画
-                TextRenderer.DrawText(e.Graphics,
-                                headerText,
-                                e.CellStyle.Font,
-                                rect,
-                                e.CellStyle.ForeColor,
-                                TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
+        //        // セルに表示するテキストを描画
+        //        TextRenderer.DrawText(e.Graphics,
+        //                        headerText,
+        //                        e.CellStyle.Font,
+        //                        rect,
+        //                        e.CellStyle.ForeColor,
+        //                        TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
+        //    }
+        //    catch (System.Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
         #endregion
 
         #region ヘッダーダブルクリック
@@ -739,6 +832,7 @@
             try
             {
                 DataGridView dgv = dgvProcess;
+
                 // 行選択色を元に戻す
                 if (m_BeforeGridRow != -1) DefaultRowChangeColor(m_BeforeGridRow);
 
@@ -754,15 +848,15 @@
         }
         #endregion
 
-        #region フォームサイズチェンジ
+        #region ウィンドウサイズ変更
         /// <summary>
-        /// フォームサイズチェンジ
+        /// ウィンドウサイズ変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
         private void FrmSecurity_SizeChanged(object sender, EventArgs e)
         {
-
+            if (this.WindowState == FormWindowState.Normal) this.Size = m_FormSize;
         }
         #endregion
     }
